创建 subjectRightsRequest

命名空间:microsoft.graph

创建新的 subjectRightsRequest 对象。

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) SubjectRightsRequest.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
Application 不支持

HTTP 请求

POST /privacy/subjectRightsRequests

请求标头

名称 说明
Authorization Bearer {token}。必需。
Content-Type application/json. Required.

请求正文

在请求正文中,提供 subjectRightsRequest 对象的 JSON 表示形式。

下表显示创建 subjectRightsRequest 时所需的属性

属性 类型 说明
dataSubject microsoft.graph.dataSubject 包含请求的数据主体的属性。
dataSubjectType dataSubjectType 数据主体类型。 可取值为:customercurrentEmployeeformerEmployeeprospectiveEmployeestudentteacherfacultyotherunknownFutureValue
说明 String 请求的说明。
displayName String 请求的名称。
internalDueDateTime DateTimeOffset 用于跟踪请求完成的内部截止日期。
法规 字符串集合 请求的一个或多个法规。
type subjectRightsRequestType 请求的类型。 可取值为:exportdeleteaccesstagForActionunknownFutureValue

响应

如果成功,此方法在响应 201 Created 正文中返回 响应代码和 subjectRightsRequest 对象。

示例

请求

POST https://graph.microsoft.com/v1.0/privacy/subjectRightsRequests
Content-Type: application/json

{
    "type": "microsoft.graph.subjectRightsRequestType",
    "dataSubjectType": "microsoft.graph.dataSubjectType",
    "regulations": ["String"],
    "displayName": "String",
    "description": "String",
    "internalDueDateTime": "String (timestamp)",
    "dataSubject": {
        "firstName": "String",
        "lastName": "String",
        "email": "String",
        "residency": "String",
        "phoneNumber": "String",
        "SSN": "String"
    }
}

响应

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-Type: application/json

{
    "type": "microsoft.graph.subjectRightsRequestType",
    "dataSubjectType": "microsoft.graph.dataSubjectType",
    "regulations": [
        "String"
    ],
    "displayName": "String",
    "description": "String",
    "status": "active",
    "internalDueDateTime": "String",
    "lastModifiedDateTime": "String",
    "id": "String",
    "createdDateTime": "String",
    "stages": [
        {
            "stage": "contentRetrieval",
            "status": "notStarted",
            "error": 
            {
                "@odata.type": "microsoft.graph.publicError"
            }
        },
        {
            "stage": "contentReview",
            "status": "notStarted",
            "error": 
            {
                "@odata.type": "microsoft.graph.publicError"
            }
        },
        {
            "stage": "generateReport",
            "status": "notStarted",
            "error": 
            {
                "@odata.type": "microsoft.graph.publicError"
            }
        },
        {
            "stage": "caseResolved",
            "status": "notStarted",
            "error": 
            {
                "@odata.type": "microsoft.graph.publicError"
            }
        }
    ],
    "createdBy": {
        "@odata.type": "microsoft.graph.identitySet"
    },
    "lastModifiedBy": {
        "@odata.type": "microsoft.graph.identitySet"
    },
    "dataSubject": {
        "firstName": "String",
        "lastName": "String",
        "email": "String",
        "residency": "String",
        "phoneNumber": "String",
        "SSN": "String"
    },
    "team": {
        "id": "String (identifier)",
        "webUrl": "String"
    }
}